#
# spec file for package openmotif21-libs (Version 2.1.30MLI4)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  xf86 yacc

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm

Name:         openmotif21-libs
Version:      2.1.30MLI4
Release:      119.4
License:      Other License(s), see package
Group:        System/Libraries
AutoReqProv:  on
Conflicts:    lestif2
Summary:      Open Motif 2.1.30 Libraries
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.opengroup.org/openmotif/
Source:       openmotif-2.1.30-4_MLI.src.tar.bz2
Patch:        motif.dif
Patch1:       motif_jdk_grab.patch
Patch2:       motif_bison.patch
Patch3:       motif-xpm.diff

%description
This is the old 2.1.30 Open Motif runtime environment.	It includes the
Motif version 2.1.30 shared libraries. This Motif version is needed by
Oracle (e.g. Forms&Reports), the newer 2.2.x Motif does not work and is
not certified with Oracle.

Open Motif is a freely available version of the well known user
interface toolkit Motif for Open Source operating systems.  This
package was built with the sources from Metro Link.



%prep
%setup -q -n motif
%patch
%patch1
%patch2
%patch3 -p1

%build
mkdir -p imports/x11
ln -sf /usr/X11R6/bin /usr/X11R6/include /usr/X11R6/lib imports/x11
make World

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
make install install.man DESTDIR="$RPM_BUILD_ROOT"
# Replace Motif.tmpl and Motif.rules with our versions
MOTIFTMPL="/usr/X11R6/lib/X11/config/Motif.tmpl"
[ ! -f $MOTIFTMPL ] || mv -f $MOTIFTMPL $MOTIFTMPL.orig
ln -sf $MOTIFTMPL.openmotif $MOTIFTMPL
MOTIFRULES="/usr/X11R6/lib/X11/config/Motif.rules"
[ ! -f $MOTIFRULES ] || mv -f $MOTIFRULES $MOTIFRULES.orig
ln -sf $MOTIFRULES.openmotif $MOTIFRULES
# Set TopLevelProject to Motif in site.def.
SITEDEF="/usr/X11R6/lib/X11/config/site.def"
if ! grep "^\#define TopLevelProject Motif" $SITEDEF > /dev/null 2>&1; then
	[ -f $SITEDEF.orig ] || mv -f $SITEDEF $SITEDEF.orig
	sed -e '/^\#ifdef BeforeVendorCF$/a\
\
\#define TopLevelProject Motif\
' < $SITEDEF.orig > $SITEDEF
fi
# remove everything not packaged
rm -rf $RPM_BUILD_ROOT/usr/X11R6/man
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/lib*.a
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11
rm -rf $RPM_BUILD_ROOT/usr/X11R6/include
rm -rf $RPM_BUILD_ROOT/usr/X11R6/bin

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%attr( 0755 root root ) /usr/X11R6/lib/libMrm.so.2.1
%attr( 0755 root root ) /usr/X11R6/lib/libUil.so.2.1
%attr( 0755 root root ) /usr/X11R6/lib/libXm.so.2.1
%attr( 0755 root root ) /usr/X11R6/lib/libMrm.so.2
%attr( 0755 root root ) /usr/X11R6/lib/libUil.so.2
%attr( 0755 root root ) /usr/X11R6/lib/libXm.so.2

%changelog -n openmotif21-libs
* Thu Sep 30 2004 - meissner@suse.de
- Fixed XPM security problem #43240.
* Thu Jan 08 2004 - ro@suse.de
- fix build with current bison
* Fri Nov 28 2003 - ro@suse.de
- clean unpackaged files from build root
* Mon Nov 03 2003 - mha@suse.com
- New package: Libraries for old OpenMotif 2.1.30, required for
  running Oracle components that use Motif. The new 2.2.x OpenMotif
  does not work and is not certified for running Oracle.
